/Users/bernard/b20/bsoft/src/bhisto.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bhisto.cpp - Image histograms.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Image histograms.

Author:
    Bernard Heymann

Date:
    Created: 19990321

    Modified: 20160718

Definition in file bhisto.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 42 of file bhisto.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bhisto [options] input.img output.img",
"--------------------------------------------",
"Calculates the histogram of an image and associated statistics.",
" ",
"Actions:",
"-bins 256                Calculate histogram over a number of bins.",
"-fit gauss,2             Do a fit to the histogram (gaussian, poisson).",
"                         Second argument indicates number of gaussians.",
"-percentiles             Calculate the percentiles for an image.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-select 1                Select an image (default all).",
"-sampling 2,3.5,1        Sampling (angstrom/voxel, a single value sets all three).",
" ",
"Output:",
"-Postscript histo.ps     Postscript output file name.",
" ",
NULL
}

Definition at line 18 of file bhisto.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.